"use client";
import { jsx as t } from "react/jsx-runtime";
import { Q as o, Y as n, U as l } from "../../../react-resizable-panels-BqIpIFl2.js";
import { cn as e } from "../../../lib/utils.js";
function h({
  className: a,
  ...r
}) {
  return /* @__PURE__ */ t(
    l,
    {
      className: e(
        "flex h-full w-full aria-[orientation=vertical]:flex-col",
        a
      ),
      "data-slot": "resizable-panel-group",
      ...r
    }
  );
}
function z({ ...a }) {
  return /* @__PURE__ */ t(n, { "data-slot": "resizable-panel", ...a });
}
function c({
  withHandle: a,
  className: r,
  ...i
}) {
  return /* @__PURE__ */ t(
    o,
    {
      className: e(
        "relative flex w-2 items-center justify-center bg-transparent ring-offset-background after:absolute after:inset-y-0 after:left-1/2 after:w-px after:-translate-x-1/2 after:bg-border focus-visible:outline-hidden focus-visible:ring-1 focus-visible:ring-ring aria-[orientation=horizontal]:h-2 aria-[orientation=horizontal]:w-full aria-[orientation=horizontal]:after:inset-x-0 aria-[orientation=horizontal]:after:inset-y-auto aria-[orientation=horizontal]:after:top-1/2 aria-[orientation=horizontal]:after:left-0 aria-[orientation=horizontal]:after:h-px aria-[orientation=horizontal]:after:w-full aria-[orientation=horizontal]:after:translate-x-0 aria-[orientation=horizontal]:after:-translate-y-1/2 [&[aria-orientation=horizontal]>div]:rotate-90",
        r
      ),
      "data-slot": "resizable-handle",
      ...i,
      children: a && /* @__PURE__ */ t("div", { className: "z-10 flex h-6 w-1.5 shrink-0 rounded-lg bg-border" })
    }
  );
}
export {
  c as ResizableHandle,
  z as ResizablePanel,
  h as ResizablePanelGroup
};
